View Issue Details

IDProjectCategoryView StatusLast Update
0004702SOGoWeb Mailpublic2019-03-18 10:33
Reporterwimmer Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
OSdebian buster 
Product Version4.0.7 
Fixed in Version4.0.8 
Summary0004702: Webmail loads indefinitely when opening message with invitation
Description

When trying to open an email with invitation, the loading animation stays indefinitely, and the email content never gets displayed.
I use SOGo and SOPE compiled from original sources.
Back trace will be attached together with sample message.

Additional Information

I use following definitions in the sogo.conf :

SOGoProfileURL = "postgresql://sogo:sogo@127.0.0.1:5432/sogo/sogo_user_profile";
OCSFolderInfoURL = "postgresql://sogo:sogo@127.0.0.1:5432/sogo/sogo_folder_info";
OCSSessionsFolderURL = "postgresql://sogo:sogo@127.0.0.1:5432/sogo/sogo_sessions_folder";
OCSEMailAlarmsFolderURL = "postgresql://sogo:sogo@127.0.0.1:5432/sogo/sogo_alarms_folder";
OCSStoreURL = "postgresql://sogo:sogo@127.0.0.1:5432/sogo/sogo_store";
OCSAclURL = "postgresql://sogo:sogo@127.0.0.1:5432/sogo/sogo_acl";
OCSCacheFolderURL = "postgresql://sogo:sogo@127.0.0.1:5432/sogo/sogo_cache_folder";

TagsNo tags attached.

Activities

wimmer

wimmer

2019-03-16 15:14

reporter  

backtrace.txt (10,072 bytes)   
Breakpoint 1, -[NSException raise] (self=0x5555564148c0, _cmd=0x7ffff742d300 <_OBJC_SELECTOR_TABLE+480>) at NSException.m:1501
1501	NSException.m: No such file or directory.
(gdb) bt
#0  -[NSException raise] (self=0x5555564148c0, _cmd=0x7ffff742d300 <_OBJC_SELECTOR_TABLE+480>) at NSException.m:1501
#1  0x00007ffff711a649 in +[NSException raise:format:arguments:] (self=<optimized out>, _cmd=<optimized out>, name=0x7ffff742dcb0 <_OBJC_INSTANCE_5>, 
    format=0x7ffff748d900 <_OBJC_INSTANCE_10.20430>, argList=0x7fffffffaf00) at NSException.m:1392
#2  0x00007ffff711b2a3 in +[NSException raise:format:] (self=0x7ffff742d640 <_OBJC_Class_NSException>, _cmd=<optimized out>, name=0x7ffff742dcb0 <_OBJC_INSTANCE_5>, 
    format=0x7ffff748d900 <_OBJC_INSTANCE_10.20430>) at NSException.m:1377
#3  0x00007ffff71d32d1 in +[NSString stringWithString:] (self=0x7ffff748cf00 <_OBJC_Class_NSMutableString>, _cmd=<optimized out>, aString=0x0) at NSString.m:942
#4  0x00007ffff2aac80b in -[UIxMailPartViewer _filenameForAttachment:] (self=0x55555648ae00, _cmd=0x7ffff2ac0e50 <_OBJC_SELECTOR_TABLE+880>, bodyPart=0x5555564c0fa0)
    at UIxMailPartViewer.m:306
#5  0x00007ffff2aacecb in -[UIxMailPartViewer pathToAttachmentFromMessage] (self=0x55555648ae00, _cmd=0x5555563c1070) at UIxMailPartViewer.m:372
#6  0x00007ffff7a35b79 in _getComponentValue (self=0x55555645b2a0, object=0x55555648ae00, info=0x55555615d460) at WOKeyPathAssociation.m:537
#7  0x00007ffff7a364a6 in _getOneValue (self=0x55555645b2a0, root=0x55555648ae00) at WOKeyPathAssociation.m:758
#8  0x00007ffff7a37190 in -[WOKeyPathAssociation valueInComponent:] (self=0x55555645b2a0, _cmd=0x7ffff7ba5bc0 <_OBJC_SELECTOR_TABLE+672>, _component=0x55555648ae00)
    at WOKeyPathAssociation.m:1004
#9  0x00007ffff7a5e7f9 in -[WOGenericElement _appendAttributesToResponse:inContext:] (self=0x55555649eba0, _cmd=0x7ffff7ba55a0 <_OBJC_SELECTOR_TABLE+384>, 
    _response=0x5555561b2490, _ctx=0x55555625d140) at WOGenericElement.m:201
#10 0x00007ffff7a5dc9c in -[WOGenericContainer appendToResponse:inContext:] (self=0x55555649eba0, _cmd=0x7ffff7ba1430 <_OBJC_SELECTOR_TABLE+720>, _response=0x5555561b2490, 
    _ctx=0x55555625d140) at WOGenericContainer.m:111
#11 0x00007ffff7a56ab2 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555556461dc0, _cmd=0x7ffff7ba1d40 <_OBJC_SELECTOR_TABLE+736>, _response=0x5555561b2490, 
    _ctx=0x55555625d140) at WOCompoundElement.m:247
#12 0x00007ffff7a57b43 in -[WOConditional appendToResponse:inContext:] (self=0x55555649eac0, _cmd=0x7ffff7ba1430 <_OBJC_SELECTOR_TABLE+720>, _response=0x5555561b2490, 
    _ctx=0x55555625d140) at WOConditional.m:242
#13 0x00007ffff7a56ab2 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555556461f00, _cmd=0x7ffff7ba5550 <_OBJC_SELECTOR_TABLE+304>, _response=0x5555561b2490, 
    _ctx=0x55555625d140) at WOCompoundElement.m:247
#14 0x00007ffff7a5dd69 in -[WOGenericContainer appendToResponse:inContext:] (self=0x5555561b1080, _cmd=0x7ffff7b7fb20 <_OBJC_SELECTOR_TABLE+352>, _response=0x5555561b2490, 
    _ctx=0x55555625d140) at WOGenericContainer.m:121
#15 0x00007ffff7a44bf8 in -[WOTemplate appendToResponse:inContext:] (self=0x55555637f6b0, _cmd=0x7ffff7b24b00 <_OBJC_SELECTOR_TABLE+1984>, _response=0x5555561b2490, 
    _ctx=0x55555625d140) at WOTemplate.m:119
#16 0x00007ffff79e2309 in -[WOComponent appendToResponse:inContext:] (self=0x55555648ae00, _cmd=0x7ffff7b24b80 <_OBJC_SELECTOR_TABLE+2112>, _response=0x5555561b2490, 
    _ctx=0x55555625d140) at WOComponent.m:928
#17 0x00007ffff79e25fb in -[WOComponent generateResponse] (self=0x55555648ae00, _cmd=0x7ffff2ac0c40 <_OBJC_SELECTOR_TABLE+352>) at WOComponent.m:970
#18 0x00007ffff2aabed1 in -[UIxMailPartViewer renderedPart] (self=0x55555648ae00, _cmd=0x7ffff2ac9770 <_OBJC_SELECTOR_TABLE+1552>) at UIxMailPartViewer.m:190
#19 0x00007ffff2ab6afd in -[UIxMailPartICalViewer renderedPart] (self=0x55555648ae00, _cmd=0x7ffff2ac4c90 <_OBJC_SELECTOR_TABLE+464>) at UIxMailPartICalViewer.m:573
#20 0x00007ffff2ab0eb1 in -[UIxMailPartMixedViewer renderedPart] (self=0x5555565eba50, _cmd=0x7ffff297de50 <_OBJC_SELECTOR_TABLE+1008>) at UIxMailPartMixedViewer.m:129
#21 0x00007ffff295ac94 in -[UIxMailView defaultAction] (self=0x555556490e40, _cmd=0x555555a73190) at UIxMailView.m:346
#22 0x00007ffff7a1aab7 in -[WOComponent(DirectActionExtensions) performActionNamed:] (self=0x555556490e40, _cmd=0x7ffff2a8b2b0 <_OBJC_SELECTOR_TABLE+1872>, 
    _actionName=0x5555561ac960) at WOPageRequestHandler.m:245
#23 0x00007ffff2a7fa11 in -[UIxComponent performActionNamed:] (self=0x555556490e40, _cmd=0x7ffff7bd9c60 <_OBJC_SELECTOR_TABLE+928>, _actionName=0x55555597c2e0)
    at UIxComponent.m:800
#24 0x00007ffff7a98915 in -[SoActionInvocation callOnObject:withPositionalParametersWhenNotNil:inContext:] (self=0x5555561c5d30, _cmd=0x7ffff7bd9c90 <_OBJC_SELECTOR_TABLE+976>, 
    _client=0x5555562e0bb0, _positionalArgs=0x0, _ctx=0x55555625d140) at SoActionInvocation.m:300
#25 0x00007ffff7a98a41 in -[SoActionInvocation callOnObject:inContext:] (self=0x5555561c5d30, _cmd=0x7ffff7bd9bb0 <_OBJC_SELECTOR_TABLE+752>, _client=0x5555562e0bb0, 
    _ctx=0x55555625d140) at SoActionInvocation.m:318
#26 0x00007ffff7a98689 in -[SoActionInvocation callOnObject:withPositionalParametersWhenNotNil:inContext:] (self=0x55555598cfa0, _cmd=0x7ffff7bd9c90 <_OBJC_SELECTOR_TABLE+976>, 
    _client=0x5555562e0bb0, _positionalArgs=0x0, _ctx=0x55555625d140) at SoActionInvocation.m:260
#27 0x00007ffff7a98a41 in -[SoActionInvocation callOnObject:inContext:] (self=0x55555598cfa0, _cmd=0x7ffff7bd6200 <_OBJC_SELECTOR_TABLE+672>, _client=0x5555562e0bb0, 
    _ctx=0x55555625d140) at SoActionInvocation.m:318
#28 0x00007ffff7a93026 in -[SoObjectMethodDispatcher dispatchInContext:] (self=0x5555562511c0, _cmd=0x7ffff7bd78e0 <_OBJC_SELECTOR_TABLE+1536>, _ctx=0x55555625d140)
    at SoObjectMethodDispatcher.m:192
#29 0x00007ffff7a95457 in -[SoObjectRequestHandler handleRequest:inContext:session:application:] (self=0x555555a64c50, _cmd=0x7ffff7b58ab0 <_OBJC_SELECTOR_TABLE+848>, 
    _rq=0x5555564980b0, _ctx=0x55555625d140, _sn=0x0, app=0x5555559c18f0) at SoObjectRequestHandler.m:584
#30 0x00007ffff7a1c838 in -[WORequestHandler handleRequest:] (self=0x555555a64c50, _cmd=0x7ffff7b21190 <_OBJC_SELECTOR_TABLE+1616>, _request=0x5555564980b0)
    at WORequestHandler.m:240
#31 0x00007ffff79dd948 in -[WOCoreApplication dispatchRequest:usingHandler:] (self=0x5555559c18f0, _cmd=0x7ffff7b211e0 <_OBJC_SELECTOR_TABLE+1696>, _request=0x5555564980b0, 
    handler=0x555555a64c50) at WOCoreApplication.m:712
#32 0x00007ffff79ddc61 in -[WOCoreApplication dispatchRequest:] (self=0x5555559c18f0, _cmd=0x5555555665c0 <_OBJC_SELECTOR_TABLE+1664>, _request=0x5555564980b0)
    at WOCoreApplication.m:752
#33 0x000055555555d56d in -[SOGo dispatchRequest:] (self=0x5555559c18f0, _cmd=0x7ffff7bbef60 <_OBJC_SELECTOR_TABLE+1760>, _request=0x5555564980b0) at SOGo.m:584
#34 0x00007ffff7a83feb in -[WOHttpTransaction _run] (self=0x555556188590, _cmd=0x7ffff7bbef90 <_OBJC_SELECTOR_TABLE+1808>) at WOHttpTransaction.m:566
#35 0x00007ffff7a84361 in -[WOHttpTransaction run] (self=0x555556188590, _cmd=0x7ffff7bbccb0 <_OBJC_SELECTOR_TABLE+1168>) at WOHttpTransaction.m:619
#36 0x00007ffff7a800f6 in -[WOHttpAdaptor runConnection:] (self=0x55555573ca70, _cmd=0x7ffff7bbcd50 <_OBJC_SELECTOR_TABLE+1328>, _socket=0x555556199b20) at WOHttpAdaptor.m:373
#37 0x00007ffff7a80306 in -[WOHttpAdaptor _handleAcceptedConnection:] (self=0x55555573ca70, _cmd=0x7ffff7bbcd60 <_OBJC_SELECTOR_TABLE+1344>, _connection=0x555556199b20)
    at WOHttpAdaptor.m:407
#38 0x00007ffff7a8070c in -[WOHttpAdaptor _handleConnection:] (self=0x55555573ca70, _cmd=0x7ffff7bbce00 <_OBJC_SELECTOR_TABLE+1504>, connection=0x555556199b20)
    at WOHttpAdaptor.m:466
#39 0x00007ffff7a80b88 in -[WOHttpAdaptor acceptConnection:] (self=0x55555573ca70, _cmd=0x7ffff7bbcc70 <_OBJC_SELECTOR_TABLE+1104>, _notification=0x555556404c70)
    at WOHttpAdaptor.m:527
#40 0x00007ffff71717e7 in -[NSNotificationCenter _postAndRelease:] (self=0x5555557162d0, _cmd=<optimized out>, notification=0x555556404c70) at NSNotificationCenter.m:1198
#41 0x00007ffff7638c05 in -[NSObject(FileObjectWatcher) receivedEvent:type:extra:forMode:] (self=0x555555bf3190, _cmd=0x7ffff74f34b0 <_OBJC_SELECTOR_TABLE+304>, _fdData=0x6, 
    _type=ET_RDESC, _extra=0x6, _mode=0x7ffff747a840 <_OBJC_INSTANCE_2>) at NSRunLoop+FileObjects.m:58
#42 0x00007ffff7285c79 in -[GSRunLoopCtxt pollUntil:within:] (self=<optimized out>, _cmd=0x7ffff7479a60 <_OBJC_SELECTOR_TABLE+1184>, milliseconds=<optimized out>, 
    contexts=0x555555a85240) at GSRunLoopCtxt.m:600
#43 0x00007ffff71b7d5f in -[NSRunLoop acceptInputForMode:beforeDate:] (self=0x5555559d7100, _cmd=0x7ffff7479a90 <_OBJC_SELECTOR_TABLE+1232>, 
    mode=0x7ffff747a840 <_OBJC_INSTANCE_2>, limit_date=0x5555562db130) at NSRunLoop.m:1224
#44 0x00007ffff71b7af4 in -[NSRunLoop runMode:beforeDate:] (self=0x5555559d7100, _cmd=<optimized out>, mode=0x7ffff747a840 <_OBJC_INSTANCE_2>, date=0x5555562db130)
    at NSRunLoop.m:1304
#45 0x00007ffff79dd184 in -[WOCoreApplication run] (self=0x5555559c18f0, _cmd=0x555555566320 <_OBJC_SELECTOR_TABLE+992>) at WOCoreApplication.m:584
#46 0x000055555555c70c in -[SOGo run] (self=0x5555559c18f0, _cmd=0x7ffff7b43d70 <_OBJC_SELECTOR_TABLE+208>) at SOGo.m:337
#47 0x00007ffff7a071d6 in WOApplicationMain (_appClassName=0x555555564160 <_OBJC_INSTANCE_0.11131>, argc=13, argv=0x7fffffffe638) at WOApplicationMain.m:42
#48 0x00007ffff7a27d90 in WOWatchDogApplicationMain (appName=0x555555564160 <_OBJC_INSTANCE_0.11131>, argc=13, argv=0x7fffffffe638) at WOWatchDogApplicationMain.m:1049
#49 0x000055555555b2fe in main (argc=13, argv=0x7fffffffe638, env=0x7fffffffe6a8) at sogod.m:51
(gdb) c
Continuing.
2019-03-16 19:01:03.435 sogod[14356:14356] EXCEPTION: <NSException: 0x5555564148c0> NAME:NSInvalidArgumentException REASON:[NSString+stringWithString:]: NULL string INFO:(null)
Mar 16 19:01:03 sogod [14356]: 147.228.248.10 "GET /SOGo/so/wimmer/Mail/0/folderINBOX/10252/view HTTP/1.1" 501 0/0 55.780 - - -20K
backtrace.txt (10,072 bytes)   
wimmer

wimmer

2019-03-16 15:14

reporter  

message (3,300 bytes)   
Return-Path: <harryp@civ.zcu.cz>
X-Original-To: wimmer@civ.zcu.cz
Delivered-To: wimmer@civ.zcu.cz
Received: from fred.zcu.cz (fred.zcu.cz [147.228.57.19])
	by axor.zcu.cz (Postfix) with ESMTP id 28D2D186D27
	for <wimmer@civ.zcu.cz>; Sat, 16 Mar 2019 19:59:46 +0100 (CET)
Received: from wbmx.zcu.cz (wbmx.zcu.cz [147.228.57.115])
	by fred.zcu.cz (Postfix) with ESMTP id B4333754B
	for <wimmer@civ.zcu.cz>; Sat, 16 Mar 2019 19:59:45 +0100 (CET)
To: =?utf-8?q?Ing=2E_Milos_WIMMER?= <wimmer@civ.zcu.cz>
Content-Type: multipart/mixed; boundary="----=_=-_OpenGroupware_org_NGMime-14356-1552762785.619279-0------"
MIME-Version: 1.0
Date: Sat, 16 Mar 2019 18:59:45 +0000
Subject: =?utf-8?q?Pozv=C3=A1n=C3=AD?= na =?utf-8?q?ud=C3=A1lost=3A?=
 =?utf-8?q?_=22meeting1=22?=
Message-ID: <3814-5c8d4780-5-3664ef00@83320470>
X-Sogo-Message-Type: calendar:invitation
From: "Harry Potter" <harryp@civ.zcu.cz>
X-Virus-Scanned: clamav-milter 0.100.2 at fred
X-Virus-Status: Clean
X-ZCU-MailScanner-ID: B4333754B.ABA10
X-ZCU-MailScanner-SpamCheck: not spam (whitelisted),
	SpamAssassin (not cached, score=-0.999, required 5,
	autolearn=disabled, ALL_TRUSTED -1.00, HTML_MESSAGE 0.00)
X-ZCU-MailScanner-From: harryp@civ.zcu.cz
X-Spam-Status: No

------=_=-_OpenGroupware_org_NGMime-14356-1552762785.619279-0------
Content-Type: text/html; charset=utf-8

<html>

  <head>
    <style type="text/css">
th, td { font-family: Lucida Grande, Bitstream VeraSans, Tahoma, sans-serif; font-size: 12px; line-height: 18px; }
    </style>
  </head>
  <body>
    <table style="width: 100%; max-width: 600px;" border="0" cellspacing="2" cellpadding="2">
      <tr>
        <th />
        <td><h1 class="ng-hide" style="font-size: 18px; font-weight: normal;           padding-bottom: 9px; border-bottom: 1px solid #ccc;">Pozvání na událost: "meeting1" <small style="font-size: 12px; color: #999;">Harry Potter</small></h1></td>
      </tr>
      <tr>
        <th />
        <td><h1 style="font-size: 14px; font-weight: normal;           padding-bottom: 9px; border-bottom: 1px solid #ccc;">Your participation is required to this event</h1></td>
      </tr>  

      
      
      <tr>
	<th align="right" style="font-weight: bold;">ZaÄátek</th>
        <td>PondÄlí, BÅezen 18, 2019 - 06:45 UTC
           </td>
      </tr>
      <tr>
        <th align="right" style="font-weight: bold;">Konec</th>
        <td>PondÄlí, BÅezen 18, 2019 - 07:45 UTC
           </td>
	 </tr>
      
      
    </table>
  </body>
</html>

------=_=-_OpenGroupware_org_NGMime-14356-1552762785.619279-0------
Content-Class: urn:content-classes:calendarmessage
Content-Type: text/calendar; method=REQUEST; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

BEGIN:VCALENDAR
PRODID:-//Inverse inc./SOGo 4.0.7//EN
VERSION:2.0
METHOD:REQUEST
BEGIN:VEVENT
UID:3814-5C8D4780-1-3664EF00
SUMMARY:meeting1
CLASS:PUBLIC
ATTENDEE;ROLE=3DREQ-PARTICIPANT;PARTSTAT=3DNEEDS-ACTION;CN=3DIng. Milos=
 WIMMER;RS
 VP=3DTRUE:mailto:wimmer@civ.zcu.cz
TRANSP:OPAQUE
DTSTART;:20190318T064500Z
DTEND;:20190318T074500Z
ORGANIZER;CN=3DHarry Potter:mailto:harryp@civ.zcu.cz
CREATED:20190316T185945Z
DTSTAMP:20190316T185945Z
LAST-MODIFIED:20190316T185945Z
END:VEVENT
END:VCALENDAR


------=_=-_OpenGroupware_org_NGMime-14356-1552762785.619279-0--------



message (3,300 bytes)   

Related Changesets

sogo: master 933cd581

2019-03-18 10:28:33

ludovic

Details Diff
(fix) avoid exception on recent GNUstep when attached file has no filename (fixes 0004702) Affected Issues
0004702
mod - NEWS Diff File
mod - UI/MailPartViewers/UIxMailPartViewer.m Diff File

Issue History

Date Modified Username Field Change
2019-03-16 14:55 wimmer New Issue
2019-03-16 15:14 wimmer File Added: backtrace.txt
2019-03-16 15:14 wimmer File Added: message
2019-03-18 10:31 ludovic Changeset attached => sogo master 933cd581
2019-03-18 10:31 ludovic Assigned To => ludovic
2019-03-18 10:31 ludovic Resolution open => fixed
2019-03-18 10:33 ludovic Status new => resolved
2019-03-18 10:33 ludovic Fixed in Version => 4.0.8